### Constructor

# ClapperGtk Video new

#### Declaration [src]

    GtkWidget*
    clapper_gtk_video_new (
      void
    )

#### Description [src]

Creates a new `ClapperGtkVideo` instance.

Newly created video widget will also set some default GStreamer elements on its `ClapperPlayer`. This includes Clapper own video sink and a “scaletempo” element as audio filter. Both can still be changed after construction by setting corresponding player properties.

#### Return value

Type: `GtkWidget`

A new video `GtkWidget`.

The data is owned by the called function.